# Class PosStats

java.lang.Object
org.snpeff.stats.ChrPosStats
org.snpeff.stats.PosStats

public class PosStats extends ChrPosStats
How many changes per position do we have in a chromosome. Summary by dividing the chromosome into MAX_BINS bins

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_BINS`

### Fields inherited from class ChrPosStats

`debug`

## Constructor Summary

Constructors
Constructor
Description
`PosStats()`
`PosStats(String name)`
`PosStats(String name, int maxBins)`

## Method Summary

Modifier and Type
Method
Description
`void`
`rand(int maxLen, int countMax)`
Create random counts (used for debugging)
`void`
`sample(Marker marker, Marker markerReference)`
Use 'num' as a sample
`int`
`size()`

### Methods inherited from class ChrPosStats

`getCount, getTotal, posArray, sample, toString, toStringHistoPlot`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DEFAULT_BINS

public static final int DEFAULT_BINS

See Also:
  - Constant Field Values

## Constructor Details

### PosStats

public PosStats()

### PosStats

public PosStats(String name)

### PosStats

public PosStats(String name, int maxBins)

## Method Details

### rand

public void rand(int maxLen, int countMax)
Create random counts (used for debugging)

Parameters:
  `maxLen` -
  `countMax` -

### sample

public void sample(Marker marker, Marker markerReference)
Use 'num' as a sample

### size

public int size()

Overrides:
  `size` in class `ChrPosStats`